Runtime

## org.eclipse.gmf.runtime.draw2d.ui.graph
Class BorderNode

    java.lang.Object
      org.eclipse.draw2d.graph.Node
          org.eclipse.gmf.runtime.draw2d.ui.graph.ConstantSizeNode
              org.eclipse.gmf.runtime.draw2d.ui.graph.BorderNode

    public class BorderNode

extends ConstantSizeNode

Implementation of node that will be laid out by `GMFDirectedGraphLayout` as a node attached to the border of it's parent node.

Since:
  2.1

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.draw2d.ui.graph.ConstantSizeNode
`borderNodes`

Fields inherited from class org.eclipse.draw2d.graph.Node
`data, height, incoming, incomingOffset, outgoing, outgoingOffset, rowOrder, sortValue, width, x, y`

Constructor Summary
`BorderNode(java.lang.Object data, ConstantSizeNode parentNode)` Creates an instance of a border node given its data and parent

Method Summary
`float` `getOutsideRatio()` Gets the outside of parent ratio value.
`void` `setOutsideRatio(float outsideRatio)` Sets the outside parent ratio value.

Methods inherited from class org.eclipse.gmf.runtime.draw2d.ui.graph.ConstantSizeNode
`getMinIncomingPadding, getMinOutgoingPadding, setMinIncomingPadding, setMinOutgoingPadding`

Methods inherited from class org.eclipse.draw2d.graph.Node
`getLeft, getOffsetIncoming, getOffsetOutgoing, getPadding, getParent, getRight, getRowConstraint, setPadding, setParent, setRowConstraint, setSize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BorderNode

    public BorderNode(java.lang.Object data,
                      ConstantSizeNode parentNode)

  Creates an instance of a border node given its data and parent

  Parameters:
    `data` - data
    `parentNode` - the parent node of the border node

Method Detail

### getOutsideRatio

    public float getOutsideRatio()

  Gets the outside of parent ratio value. The outside ratio is a value between 0 and 1 representing the percentage of the border item that appears outside of the parent node.

  Returns:
    the value
  Since:
    2.1

### setOutsideRatio

    public void setOutsideRatio(float outsideRatio)

  Sets the outside parent ratio value. The outside ratio is a value between 0 and 1 representing the percentage of the border item that appears outside of the parent node.

  Parameters:
    `outsideRatio` -
  Since:
    2.1

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.